Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class PAPAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.PAPAbstractType

Direct Known Subclasses:
  ParagraphProperties

    public abstract class PAPAbstractType

extends java.lang.Object

Paragraph Properties.

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  S. Ryan Ackley

Method Summary
`byte[]` | `getAnld()` Get the anld field for the PAP record.
`BorderCode` | `getBrcBar()` Get the brcBar field for the PAP record.
`BorderCode` | `getBrcBetween()` Get the brcBetween field for the PAP record.
`BorderCode` | `getBrcBottom()` Get the brcBottom field for the PAP record.
`byte` | `getBrcl()` Border line style.
`BorderCode` | `getBrcLeft()` Get the brcLeft field for the PAP record.
`byte` | `getBrcp()` Rectangle border codes.
`BorderCode` | `getBrcRight()` Get the brcRight field for the PAP record.
`BorderCode` | `getBrcTop()` Get the brcTop field for the PAP record.
`DropCapSpecifier` | `getDcs()` Get the dcs field for the PAP record.
`DateAndTime` | `getDttmPropRMark()` Get the dttmPropRMark field for the PAP record.
`int` | `getDxaAbs()` Get the dxaAbs field for the PAP record.
`int` | `getDxaFromText()` Horizontal distance between text and absolutely positioned object.
`int` | `getDxaLeft()` Get the dxaLeft field for the PAP record.
`int` | `getDxaLeft1()` Get the dxaLeft1 field for the PAP record.
`int` | `getDxaRight()` Get the dxaRight field for the PAP record.
`int` | `getDxaWidth()` Get the dxaWidth field for the PAP record.
`short` | `getDxcLeft()` Left indent in character units.
`short` | `getDxcLeft1()` First line indent in character units.
`short` | `getDxcRight()` Right indent in character units.
`int` | `getDyaAbs()` Get the dyaAbs field for the PAP record.
`int` | `getDyaAfter()` Space after paragraph.
`int` | `getDyaBefore()` Space before paragraph.
`int` | `getDyaFromText()` Vertical distance between text and absolutely positioned object.
`int` | `getDyaHeight()` Get the dyaHeight field for the PAP record.
`boolean` | `getFAdjustRight()` Get the fAdjustRight field for the PAP record.
`boolean` | `getFAutoSpaceDE()` auto space East Asian and alphabetic characters.
`boolean` | `getFAutoSpaceDN()` auto space East Asian and numeric characters.
`boolean` | `getFBiDi()` Get the fBiDi field for the PAP record.
`boolean` | `getFBrLnAbove()` Get the fBrLnAbove field for the PAP record.
`boolean` | `getFBrLnBelow()` Get the fBrLnBelow field for the PAP record.
`boolean` | `getFCrLf()` Get the fCrLf field for the PAP record.
`boolean` | `getFDyaAfterAuto()` Vertical spacing after is automatic.
`boolean` | `getFDyaBeforeAuto()` Vertical spacing before is automatic.
`boolean` | `getFInnerTableCell()` When 1, the end of paragraph mark is really an end of cell mark for a nested table cell.
`boolean` | `getFInTable()` Paragraph is in table flag.
`boolean` | `getFinTableW97()` Archaic paragraph is in table flag.
`boolean` | `getFKeep()` Get the fKeep field for the PAP record.
`boolean` | `getFKeepFollow()` Get the fKeepFollow field for the PAP record.
`boolean` | `getFKinsoku()` apply Kinsoku rules when performing line wrapping.
`boolean` | `getFLocked()` Anchor of an absolutely positioned frame is locked.
`boolean` | `getFMinHeight()` Minimum height is exact or auto.
`boolean` | `getFNoAllowOverlap()` When 1, absolutely positioned paragraph cannot overlap with another paragraph.
`boolean` | `getFNoAutoHyph()` Get the fNoAutoHyph field for the PAP record.
`boolean` | `getFNoLnn()` No line numbering.
`boolean` | `getFNumRMIns()` Get the fNumRMIns field for the PAP record.
`short` | `getFontAlign()` Used internally by Word.
`boolean` | `getFOpenTch()` Ensure the Table Cell char doesn't show up as zero height.
`boolean` | `getFOverflowPunct()` apply overflow punctuation rules when performing line wrapping.
`boolean` | `getFPageBreakBefore()` Get the fPageBreakBefore field for the PAP record.
`boolean` | `getFPropRMark()` Get the fPropRMark field for the PAP record.
`boolean` | `getFSideBySide()` Get the fSideBySide field for the PAP record.
`boolean` | `getFTopLinePunct()` perform top line punctuation processing.
`boolean` | `getFTtp()` Table trailer paragraph (last in table row).
`boolean` | `getFTtpEmbedded()` Word 97 compatibility indicates this end of paragraph mark is really an end of row marker for a nested table.
`boolean` | `getFUsePgsuSettings()` Get the fUsePgsuSettings field for the PAP record.
`boolean` | `getFWidowControl()` 1, Word will prevent widowed lines in this paragraph from being placed at the beginning of a page.
`boolean` | `getFWordWrap()` perform word wrap.
`int` | `getIbstPropRMark()` Get the ibstPropRMark field for the PAP record.
`int` | `getIlfo()` 1-based index into the pllfo (lists structure), if non-zero.
`byte` | `getIlvl()` List level if non-zero.
`long` | `getIpgp()` HTML DIV ID for this paragraph.
`int` | `getIstd()` Index to style descriptor.
`int` | `getItap()` Table nesting level.
`int` | `getItbdMac()` Number of tabs stops defined for paragraph.
`byte` | `getJc()` Get the jc field for the PAP record.
`LineSpacingDescriptor` | `getLspd()` Line spacing descriptor.
`byte` | `getLvl()` Outline level.
`byte[]` | `getNumrm()` Get the numrm field for the PAP record.
`byte` | `getPcHorz()` Get the pcHorz field for the PAP record.
`byte` | `getPcVert()` Get the pcVert field for the PAP record.
`byte[]` | `getPhe()` Get the phe field for the PAP record.
`byte[]` | `getPtap()` Get the ptap field for the PAP record.
`int[]` | `getRgdxaTab()` Array of positions of itbdMac tab stops.
`TabDescriptor[]` | `getRgtbd()` Array of itbdMac tab descriptors.
`long` | `getRsid()` Save ID for last time this PAP was revised.
`ShadingDescriptor` | `getShd()` Get the shd field for the PAP record.
`int` | `getWAlignFont()` Get the wAlignFont field for the PAP record.
`byte` | `getWr()` Get the wr field for the PAP record.
`boolean` | `isFBackward()`
`boolean` | `isFRotateFont()`
`boolean` | `isFVertical()`
`void` | `setAnld(byte[] field_67_anld)` Set the anld field for the PAP record.
`void` | `setBrcBar(BorderCode field_65_brcBar)` Set the brcBar field for the PAP record.
`void` | `setBrcBetween(BorderCode field_64_brcBetween)` Set the brcBetween field for the PAP record.
`void` | `setBrcBottom(BorderCode field_62_brcBottom)` Set the brcBottom field for the PAP record.
`void` | `setBrcl(byte field_6_brcl)` Border line style.
`void` | `setBrcLeft(BorderCode field_61_brcLeft)` Set the brcLeft field for the PAP record.
`void` | `setBrcp(byte field_7_brcp)` Rectangle border codes.
`void` | `setBrcRight(BorderCode field_63_brcRight)` Set the brcRight field for the PAP record.
`void` | `setBrcTop(BorderCode field_60_brcTop)` Set the brcTop field for the PAP record.
`void` | `setDcs(DropCapSpecifier field_28_dcs)` Set the dcs field for the PAP record.
`void` | `setDttmPropRMark(DateAndTime field_71_dttmPropRMark)` Set the dttmPropRMark field for the PAP record.
`void` | `setDxaAbs(int field_17_dxaAbs)` Set the dxaAbs field for the PAP record.
`void` | `setDxaFromText(int field_30_dxaFromText)` Horizontal distance between text and absolutely positioned object.
`void` | `setDxaLeft(int field_57_dxaLeft)` Set the dxaLeft field for the PAP record.
`void` | `setDxaLeft1(int field_58_dxaLeft1)` Set the dxaLeft1 field for the PAP record.
`void` | `setDxaRight(int field_56_dxaRight)` Set the dxaRight field for the PAP record.
`void` | `setDxaWidth(int field_19_dxaWidth)` Set the dxaWidth field for the PAP record.
`void` | `setDxcLeft(short field_52_dxcLeft)` Left indent in character units.
`void` | `setDxcLeft1(short field_53_dxcLeft1)` First line indent in character units.
`void` | `setDxcRight(short field_51_dxcRight)` Right indent in character units.
`void` | `setDyaAbs(int field_18_dyaAbs)` Set the dyaAbs field for the PAP record.
`void` | `setDyaAfter(int field_13_dyaAfter)` Space after paragraph.
`void` | `setDyaBefore(int field_12_dyaBefore)` Space before paragraph.
`void` | `setDyaFromText(int field_29_dyaFromText)` Vertical distance between text and absolutely positioned object.
`void` | `setDyaHeight(int field_26_dyaHeight)` Set the dyaHeight field for the PAP record.
`void` | `setFAdjustRight(boolean field_46_fAdjustRight)` Set the fAdjustRight field for the PAP record.
`void` | `setFAutoSpaceDE(boolean field_37_fAutoSpaceDE)` auto space East Asian and alphabetic characters.
`void` | `setFAutoSpaceDN(boolean field_38_fAutoSpaceDN)` auto space East Asian and numeric characters.
`void` | `setFBackward(boolean value)` Sets the fBackward field value.
`void` | `setFBiDi(boolean field_42_fBiDi)` Set the fBiDi field for the PAP record.
`void` | `setFBrLnAbove(boolean field_20_fBrLnAbove)` Set the fBrLnAbove field for the PAP record.
`void` | `setFBrLnBelow(boolean field_21_fBrLnBelow)` Set the fBrLnBelow field for the PAP record.
`void` | `setFCrLf(boolean field_44_fCrLf)` Set the fCrLf field for the PAP record.
`void` | `setFDyaAfterAuto(boolean field_55_fDyaAfterAuto)` Vertical spacing after is automatic.
`void` | `setFDyaBeforeAuto(boolean field_54_fDyaBeforeAuto)` Vertical spacing before is automatic.
`void` | `setFInnerTableCell(boolean field_48_fInnerTableCell)` When 1, the end of paragraph mark is really an end of cell mark for a nested table cell.
`void` | `setFInTable(boolean field_14_fInTable)` Paragraph is in table flag.
`void` | `setFinTableW97(boolean field_15_finTableW97)` Archaic paragraph is in table flag.
`void` | `setFKeep(boolean field_3_fKeep)` Set the fKeep field for the PAP record.
`void` | `setFKeepFollow(boolean field_4_fKeepFollow)` Set the fKeepFollow field for the PAP record.
`void` | `setFKinsoku(boolean field_33_fKinsoku)` apply Kinsoku rules when performing line wrapping.
`void` | `setFLocked(boolean field_31_fLocked)` Anchor of an absolutely positioned frame is locked.
`void` | `setFMinHeight(boolean field_27_fMinHeight)` Minimum height is exact or auto.
`void` | `setFNoAllowOverlap(boolean field_77_fNoAllowOverlap)` When 1, absolutely positioned paragraph cannot overlap with another paragraph.
`void` | `setFNoAutoHyph(boolean field_25_fNoAutoHyph)` Set the fNoAutoHyph field for the PAP record.
`void` | `setFNoLnn(boolean field_10_fNoLnn)` No line numbering.
`void` | `setFNumRMIns(boolean field_43_fNumRMIns)` Set the fNumRMIns field for the PAP record.
`void` | `setFontAlign(short field_40_fontAlign)` Used internally by Word.
`void` | `setFOpenTch(boolean field_49_fOpenTch)` Ensure the Table Cell char doesn't show up as zero height.
`void` | `setFOverflowPunct(boolean field_35_fOverflowPunct)` apply overflow punctuation rules when performing line wrapping.
`void` | `setFPageBreakBefore(boolean field_5_fPageBreakBefore)` Set the fPageBreakBefore field for the PAP record.
`void` | `setFPropRMark(boolean field_69_fPropRMark)` Set the fPropRMark field for the PAP record.
`void` | `setFRotateFont(boolean value)` Sets the fRotateFont field value.
`void` | `setFSideBySide(boolean field_2_fSideBySide)` Set the fSideBySide field for the PAP record.
`void` | `setFTopLinePunct(boolean field_36_fTopLinePunct)` perform top line punctuation processing.
`void` | `setFTtp(boolean field_16_fTtp)` Table trailer paragraph (last in table row).
`void` | `setFTtpEmbedded(boolean field_50_fTtpEmbedded)` Word 97 compatibility indicates this end of paragraph mark is really an end of row marker for a nested table.
`void` | `setFUsePgsuSettings(boolean field_45_fUsePgsuSettings)` Set the fUsePgsuSettings field for the PAP record.
`void` | `setFVertical(boolean value)` Sets the fVertical field value.
`void` | `setFWidowControl(boolean field_32_fWidowControl)` 1, Word will prevent widowed lines in this paragraph from being placed at the beginning of a page.
`void` | `setFWordWrap(boolean field_34_fWordWrap)` perform word wrap.
`void` | `setIbstPropRMark(int field_70_ibstPropRMark)` Set the ibstPropRMark field for the PAP record.
`void` | `setIlfo(int field_9_ilfo)` 1-based index into the pllfo (lists structure), if non-zero.
`void` | `setIlvl(byte field_8_ilvl)` List level if non-zero.
`void` | `setIpgp(long field_78_ipgp)` HTML DIV ID for this paragraph.
`void` | `setIstd(int field_1_istd)` Index to style descriptor.
`void` | `setItap(int field_47_itap)` Table nesting level.
`void` | `setItbdMac(int field_72_itbdMac)` Number of tabs stops defined for paragraph.
`void` | `setJc(byte field_59_jc)` Set the jc field for the PAP record.
`void` | `setLspd(LineSpacingDescriptor field_11_lspd)` Line spacing descriptor.
`void` | `setLvl(byte field_41_lvl)` Outline level.
`void` | `setNumrm(byte[] field_75_numrm)` Set the numrm field for the PAP record.
`void` | `setPcHorz(byte field_23_pcHorz)` Set the pcHorz field for the PAP record.
`void` | `setPcVert(byte field_22_pcVert)` Set the pcVert field for the PAP record.
`void` | `setPhe(byte[] field_68_phe)` Set the phe field for the PAP record.
`void` | `setPtap(byte[] field_76_ptap)` Set the ptap field for the PAP record.
`void` | `setRgdxaTab(int[] field_73_rgdxaTab)` Array of positions of itbdMac tab stops.
`void` | `setRgtbd(TabDescriptor[] field_74_rgtbd)` Array of itbdMac tab descriptors.
`void` | `setRsid(long field_79_rsid)` Save ID for last time this PAP was revised.
`void` | `setShd(ShadingDescriptor field_66_shd)` Set the shd field for the PAP record.
`void` | `setWAlignFont(int field_39_wAlignFont)` Set the wAlignFont field for the PAP record.
`void` | `setWr(byte field_24_wr)` Set the wr field for the PAP record.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIstd

    public int getIstd()

  Index to style descriptor.

### setIstd

    public void setIstd(int field_1_istd)

  Index to style descriptor.

### getFSideBySide

    public boolean getFSideBySide()

  Get the fSideBySide field for the PAP record.

### setFSideBySide

    public void setFSideBySide(boolean field_2_fSideBySide)

  Set the fSideBySide field for the PAP record.

### getFKeep

    public boolean getFKeep()

  Get the fKeep field for the PAP record.

### setFKeep

    public void setFKeep(boolean field_3_fKeep)

  Set the fKeep field for the PAP record.

### getFKeepFollow

    public boolean getFKeepFollow()

  Get the fKeepFollow field for the PAP record.

### setFKeepFollow

    public void setFKeepFollow(boolean field_4_fKeepFollow)

  Set the fKeepFollow field for the PAP record.

### getFPageBreakBefore

    public boolean getFPageBreakBefore()

  Get the fPageBreakBefore field for the PAP record.

### setFPageBreakBefore

    public void setFPageBreakBefore(boolean field_5_fPageBreakBefore)

  Set the fPageBreakBefore field for the PAP record.

### getBrcl

    public byte getBrcl()

  Border line style.

  Returns:
    One of
    - `BRCL_SINGLE`
    - `BRCL_THICK`
    - `BRCL_DOUBLE`
    - `BRCL_SHADOW`

### setBrcl

    public void setBrcl(byte field_6_brcl)

  Border line style.

  Parameters:
    `field_6_brcl` - One of
    - `BRCL_SINGLE`
    - `BRCL_THICK`
    - `BRCL_DOUBLE`
    - `BRCL_SHADOW`

### getBrcp

    public byte getBrcp()

  Rectangle border codes.

  Returns:
    One of
    - `BRCP_NONE`
    - `BRCP_BORDER_ABOVE`
    - `BRCP_BORDER_BELOW`
    - `BRCP_BOX_AROUND`
    - `BRCP_BAR_TO_LEFT_OF_PARAGRAPH`

### setBrcp

    public void setBrcp(byte field_7_brcp)

  Rectangle border codes.

  Parameters:
    `field_7_brcp` - One of
    - `BRCP_NONE`
    - `BRCP_BORDER_ABOVE`
    - `BRCP_BORDER_BELOW`
    - `BRCP_BOX_AROUND`
    - `BRCP_BAR_TO_LEFT_OF_PARAGRAPH`

### getIlvl

    public byte getIlvl()

  List level if non-zero.

### setIlvl

    public void setIlvl(byte field_8_ilvl)

  List level if non-zero.

### getIlfo

    public int getIlfo()

  1-based index into the pllfo (lists structure), if non-zero.

### setIlfo

    public void setIlfo(int field_9_ilfo)

  1-based index into the pllfo (lists structure), if non-zero.

### getFNoLnn

    public boolean getFNoLnn()

  No line numbering.

### setFNoLnn

    public void setFNoLnn(boolean field_10_fNoLnn)

  No line numbering.

### getLspd

    public LineSpacingDescriptor getLspd()

  Line spacing descriptor.

### setLspd

    public void setLspd(LineSpacingDescriptor field_11_lspd)

  Line spacing descriptor.

### getDyaBefore

    public int getDyaBefore()

  Space before paragraph.

### setDyaBefore

    public void setDyaBefore(int field_12_dyaBefore)

  Space before paragraph.

### getDyaAfter

    public int getDyaAfter()

  Space after paragraph.

### setDyaAfter

    public void setDyaAfter(int field_13_dyaAfter)

  Space after paragraph.

### getFInTable

    public boolean getFInTable()

  Paragraph is in table flag.

### setFInTable

    public void setFInTable(boolean field_14_fInTable)

  Paragraph is in table flag.

### getFinTableW97

    public boolean getFinTableW97()

  Archaic paragraph is in table flag.

### setFinTableW97

    public void setFinTableW97(boolean field_15_finTableW97)

  Archaic paragraph is in table flag.

### getFTtp

    public boolean getFTtp()

  Table trailer paragraph (last in table row).

### setFTtp

    public void setFTtp(boolean field_16_fTtp)

  Table trailer paragraph (last in table row).

### getDxaAbs

    public int getDxaAbs()

  Get the dxaAbs field for the PAP record.

### setDxaAbs

    public void setDxaAbs(int field_17_dxaAbs)

  Set the dxaAbs field for the PAP record.

### getDyaAbs

    public int getDyaAbs()

  Get the dyaAbs field for the PAP record.

### setDyaAbs

    public void setDyaAbs(int field_18_dyaAbs)

  Set the dyaAbs field for the PAP record.

### getDxaWidth

    public int getDxaWidth()

  Get the dxaWidth field for the PAP record.

### setDxaWidth

    public void setDxaWidth(int field_19_dxaWidth)

  Set the dxaWidth field for the PAP record.

### getFBrLnAbove

    public boolean getFBrLnAbove()

  Get the fBrLnAbove field for the PAP record.

### setFBrLnAbove

    public void setFBrLnAbove(boolean field_20_fBrLnAbove)

  Set the fBrLnAbove field for the PAP record.

### getFBrLnBelow

    public boolean getFBrLnBelow()

  Get the fBrLnBelow field for the PAP record.

### setFBrLnBelow

    public void setFBrLnBelow(boolean field_21_fBrLnBelow)

  Set the fBrLnBelow field for the PAP record.

### getPcVert

    public byte getPcVert()

  Get the pcVert field for the PAP record.

### setPcVert

    public void setPcVert(byte field_22_pcVert)

  Set the pcVert field for the PAP record.

### getPcHorz

    public byte getPcHorz()

  Get the pcHorz field for the PAP record.

### setPcHorz

    public void setPcHorz(byte field_23_pcHorz)

  Set the pcHorz field for the PAP record.

### getWr

    public byte getWr()

  Get the wr field for the PAP record.

### setWr

    public void setWr(byte field_24_wr)

  Set the wr field for the PAP record.

### getFNoAutoHyph

    public boolean getFNoAutoHyph()

  Get the fNoAutoHyph field for the PAP record.

### setFNoAutoHyph

    public void setFNoAutoHyph(boolean field_25_fNoAutoHyph)

  Set the fNoAutoHyph field for the PAP record.

### getDyaHeight

    public int getDyaHeight()

  Get the dyaHeight field for the PAP record.

### setDyaHeight

    public void setDyaHeight(int field_26_dyaHeight)

  Set the dyaHeight field for the PAP record.

### getFMinHeight

    public boolean getFMinHeight()

  Minimum height is exact or auto.

  Returns:
    One of
    - `FMINHEIGHT_EXACT`
    - `FMINHEIGHT_AT_LEAST`

### setFMinHeight

    public void setFMinHeight(boolean field_27_fMinHeight)

  Minimum height is exact or auto.

  Parameters:
    `field_27_fMinHeight` - One of
    - `FMINHEIGHT_EXACT`
    - `FMINHEIGHT_AT_LEAST`

### getDcs

    public DropCapSpecifier getDcs()

  Get the dcs field for the PAP record.

### setDcs

    public void setDcs(DropCapSpecifier field_28_dcs)

  Set the dcs field for the PAP record.

### getDyaFromText

    public int getDyaFromText()

  Vertical distance between text and absolutely positioned object.

### setDyaFromText

    public void setDyaFromText(int field_29_dyaFromText)

  Vertical distance between text and absolutely positioned object.

### getDxaFromText

    public int getDxaFromText()

  Horizontal distance between text and absolutely positioned object.

### setDxaFromText

    public void setDxaFromText(int field_30_dxaFromText)

  Horizontal distance between text and absolutely positioned object.

### getFLocked

    public boolean getFLocked()

  Anchor of an absolutely positioned frame is locked.

### setFLocked

    public void setFLocked(boolean field_31_fLocked)

  Anchor of an absolutely positioned frame is locked.

### getFWidowControl

    public boolean getFWidowControl()

  1, Word will prevent widowed lines in this paragraph from being placed at the beginning of a page.

### setFWidowControl

    public void setFWidowControl(boolean field_32_fWidowControl)

  1, Word will prevent widowed lines in this paragraph from being placed at the beginning of a page.

### getFKinsoku

    public boolean getFKinsoku()

  apply Kinsoku rules when performing line wrapping.

### setFKinsoku

    public void setFKinsoku(boolean field_33_fKinsoku)

  apply Kinsoku rules when performing line wrapping.

### getFWordWrap

    public boolean getFWordWrap()

  perform word wrap.

### setFWordWrap

    public void setFWordWrap(boolean field_34_fWordWrap)

  perform word wrap.

### getFOverflowPunct

    public boolean getFOverflowPunct()

  apply overflow punctuation rules when performing line wrapping.

### setFOverflowPunct

    public void setFOverflowPunct(boolean field_35_fOverflowPunct)

  apply overflow punctuation rules when performing line wrapping.

### getFTopLinePunct

    public boolean getFTopLinePunct()

  perform top line punctuation processing.

### setFTopLinePunct

    public void setFTopLinePunct(boolean field_36_fTopLinePunct)

  perform top line punctuation processing.

### getFAutoSpaceDE

    public boolean getFAutoSpaceDE()

  auto space East Asian and alphabetic characters.

### setFAutoSpaceDE

    public void setFAutoSpaceDE(boolean field_37_fAutoSpaceDE)

  auto space East Asian and alphabetic characters.

### getFAutoSpaceDN

    public boolean getFAutoSpaceDN()

  auto space East Asian and numeric characters.

### setFAutoSpaceDN

    public void setFAutoSpaceDN(boolean field_38_fAutoSpaceDN)

  auto space East Asian and numeric characters.

### getWAlignFont

    public int getWAlignFont()

  Get the wAlignFont field for the PAP record.

  Returns:
    One of
    - `WALIGNFONT_HANGING`
    - `WALIGNFONT_CENTERED`
    - `WALIGNFONT_ROMAN`
    - `WALIGNFONT_VARIABLE`
    - `WALIGNFONT_AUTO`

### setWAlignFont

    public void setWAlignFont(int field_39_wAlignFont)

  Set the wAlignFont field for the PAP record.

  Parameters:
    `field_39_wAlignFont` - One of
    - `WALIGNFONT_HANGING`
    - `WALIGNFONT_CENTERED`
    - `WALIGNFONT_ROMAN`
    - `WALIGNFONT_VARIABLE`
    - `WALIGNFONT_AUTO`

### getFontAlign

    public short getFontAlign()

  Used internally by Word.

### setFontAlign

    public void setFontAlign(short field_40_fontAlign)

  Used internally by Word.

### getLvl

    public byte getLvl()

  Outline level.

### setLvl

    public void setLvl(byte field_41_lvl)

  Outline level.

### getFBiDi

    public boolean getFBiDi()

  Get the fBiDi field for the PAP record.

### setFBiDi

    public void setFBiDi(boolean field_42_fBiDi)

  Set the fBiDi field for the PAP record.

### getFNumRMIns

    public boolean getFNumRMIns()

  Get the fNumRMIns field for the PAP record.

### setFNumRMIns

    public void setFNumRMIns(boolean field_43_fNumRMIns)

  Set the fNumRMIns field for the PAP record.

### getFCrLf

    public boolean getFCrLf()

  Get the fCrLf field for the PAP record.

### setFCrLf

    public void setFCrLf(boolean field_44_fCrLf)

  Set the fCrLf field for the PAP record.

### getFUsePgsuSettings

    public boolean getFUsePgsuSettings()

  Get the fUsePgsuSettings field for the PAP record.

### setFUsePgsuSettings

    public void setFUsePgsuSettings(boolean field_45_fUsePgsuSettings)

  Set the fUsePgsuSettings field for the PAP record.

### getFAdjustRight

    public boolean getFAdjustRight()

  Get the fAdjustRight field for the PAP record.

### setFAdjustRight

    public void setFAdjustRight(boolean field_46_fAdjustRight)

  Set the fAdjustRight field for the PAP record.

### getItap

    public int getItap()

  Table nesting level.

### setItap

    public void setItap(int field_47_itap)

  Table nesting level.

### getFInnerTableCell

    public boolean getFInnerTableCell()

  When 1, the end of paragraph mark is really an end of cell mark for a nested table cell.

### setFInnerTableCell

    public void setFInnerTableCell(boolean field_48_fInnerTableCell)

  When 1, the end of paragraph mark is really an end of cell mark for a nested table cell.

### getFOpenTch

    public boolean getFOpenTch()

  Ensure the Table Cell char doesn't show up as zero height.

### setFOpenTch

    public void setFOpenTch(boolean field_49_fOpenTch)

  Ensure the Table Cell char doesn't show up as zero height.

### getFTtpEmbedded

    public boolean getFTtpEmbedded()

  Word 97 compatibility indicates this end of paragraph mark is really an end of row marker for a nested table.

### setFTtpEmbedded

    public void setFTtpEmbedded(boolean field_50_fTtpEmbedded)

  Word 97 compatibility indicates this end of paragraph mark is really an end of row marker for a nested table.

### getDxcRight

    public short getDxcRight()

  Right indent in character units.

### setDxcRight

    public void setDxcRight(short field_51_dxcRight)

  Right indent in character units.

### getDxcLeft

    public short getDxcLeft()

  Left indent in character units.

### setDxcLeft

    public void setDxcLeft(short field_52_dxcLeft)

  Left indent in character units.

### getDxcLeft1

    public short getDxcLeft1()

  First line indent in character units.

### setDxcLeft1

    public void setDxcLeft1(short field_53_dxcLeft1)

  First line indent in character units.

### getFDyaBeforeAuto

    public boolean getFDyaBeforeAuto()

  Vertical spacing before is automatic.

### setFDyaBeforeAuto

    public void setFDyaBeforeAuto(boolean field_54_fDyaBeforeAuto)

  Vertical spacing before is automatic.

### getFDyaAfterAuto

    public boolean getFDyaAfterAuto()

  Vertical spacing after is automatic.

### setFDyaAfterAuto

    public void setFDyaAfterAuto(boolean field_55_fDyaAfterAuto)

  Vertical spacing after is automatic.

### getDxaRight

    public int getDxaRight()

  Get the dxaRight field for the PAP record.

### setDxaRight

    public void setDxaRight(int field_56_dxaRight)

  Set the dxaRight field for the PAP record.

### getDxaLeft

    public int getDxaLeft()

  Get the dxaLeft field for the PAP record.

### setDxaLeft

    public void setDxaLeft(int field_57_dxaLeft)

  Set the dxaLeft field for the PAP record.

### getDxaLeft1

    public int getDxaLeft1()

  Get the dxaLeft1 field for the PAP record.

### setDxaLeft1

    public void setDxaLeft1(int field_58_dxaLeft1)

  Set the dxaLeft1 field for the PAP record.

### getJc

    public byte getJc()

  Get the jc field for the PAP record.

### setJc

    public void setJc(byte field_59_jc)

  Set the jc field for the PAP record.

### getBrcTop

    public BorderCode getBrcTop()

  Get the brcTop field for the PAP record.

### setBrcTop

    public void setBrcTop(BorderCode field_60_brcTop)

  Set the brcTop field for the PAP record.

### getBrcLeft

    public BorderCode getBrcLeft()

  Get the brcLeft field for the PAP record.

### setBrcLeft

    public void setBrcLeft(BorderCode field_61_brcLeft)

  Set the brcLeft field for the PAP record.

### getBrcBottom

    public BorderCode getBrcBottom()

  Get the brcBottom field for the PAP record.

### setBrcBottom

    public void setBrcBottom(BorderCode field_62_brcBottom)

  Set the brcBottom field for the PAP record.

### getBrcRight

    public BorderCode getBrcRight()

  Get the brcRight field for the PAP record.

### setBrcRight

    public void setBrcRight(BorderCode field_63_brcRight)

  Set the brcRight field for the PAP record.

### getBrcBetween

    public BorderCode getBrcBetween()

  Get the brcBetween field for the PAP record.

### setBrcBetween

    public void setBrcBetween(BorderCode field_64_brcBetween)

  Set the brcBetween field for the PAP record.

### getBrcBar

    public BorderCode getBrcBar()

  Get the brcBar field for the PAP record.

### setBrcBar

    public void setBrcBar(BorderCode field_65_brcBar)

  Set the brcBar field for the PAP record.

### getShd

    public ShadingDescriptor getShd()

  Get the shd field for the PAP record.

### setShd

    public void setShd(ShadingDescriptor field_66_shd)

  Set the shd field for the PAP record.

### getAnld

    public byte[] getAnld()

  Get the anld field for the PAP record.

### setAnld

    public void setAnld(byte[] field_67_anld)

  Set the anld field for the PAP record.

### getPhe

    public byte[] getPhe()

  Get the phe field for the PAP record.

### setPhe

    public void setPhe(byte[] field_68_phe)

  Set the phe field for the PAP record.

### getFPropRMark

    public boolean getFPropRMark()

  Get the fPropRMark field for the PAP record.

### setFPropRMark

    public void setFPropRMark(boolean field_69_fPropRMark)

  Set the fPropRMark field for the PAP record.

### getIbstPropRMark

    public int getIbstPropRMark()

  Get the ibstPropRMark field for the PAP record.

### setIbstPropRMark

    public void setIbstPropRMark(int field_70_ibstPropRMark)

  Set the ibstPropRMark field for the PAP record.

### getDttmPropRMark

    public DateAndTime getDttmPropRMark()

  Get the dttmPropRMark field for the PAP record.

### setDttmPropRMark

    public void setDttmPropRMark(DateAndTime field_71_dttmPropRMark)

  Set the dttmPropRMark field for the PAP record.

### getItbdMac

    public int getItbdMac()

  Number of tabs stops defined for paragraph. Must be >= 0 and <= 64..

### setItbdMac

    public void setItbdMac(int field_72_itbdMac)

  Number of tabs stops defined for paragraph. Must be >= 0 and <= 64..

### getRgdxaTab

    public int[] getRgdxaTab()

  Array of positions of itbdMac tab stops. itbdMax==64.

### setRgdxaTab

    public void setRgdxaTab(int[] field_73_rgdxaTab)

  Array of positions of itbdMac tab stops. itbdMax==64.

### getRgtbd

    public TabDescriptor[] getRgtbd()

  Array of itbdMac tab descriptors.

### setRgtbd

    public void setRgtbd(TabDescriptor[] field_74_rgtbd)

  Array of itbdMac tab descriptors.

### getNumrm

    public byte[] getNumrm()

  Get the numrm field for the PAP record.

### setNumrm

    public void setNumrm(byte[] field_75_numrm)

  Set the numrm field for the PAP record.

### getPtap

    public byte[] getPtap()

  Get the ptap field for the PAP record.

### setPtap

    public void setPtap(byte[] field_76_ptap)

  Set the ptap field for the PAP record.

### getFNoAllowOverlap

    public boolean getFNoAllowOverlap()

  When 1, absolutely positioned paragraph cannot overlap with another paragraph.

### setFNoAllowOverlap

    public void setFNoAllowOverlap(boolean field_77_fNoAllowOverlap)

  When 1, absolutely positioned paragraph cannot overlap with another paragraph.

### getIpgp

    public long getIpgp()

  HTML DIV ID for this paragraph.

### setIpgp

    public void setIpgp(long field_78_ipgp)

  HTML DIV ID for this paragraph.

### getRsid

    public long getRsid()

  Save ID for last time this PAP was revised.

### setRsid

    public void setRsid(long field_79_rsid)

  Save ID for last time this PAP was revised.

### setFVertical

    public void setFVertical(boolean value)

  Sets the fVertical field value.

### isFVertical

    public boolean isFVertical()

  Returns:
    the fVertical field value.

### setFBackward

    public void setFBackward(boolean value)

  Sets the fBackward field value.

### isFBackward

    public boolean isFBackward()

  Returns:
    the fBackward field value.

### setFRotateFont

    public void setFRotateFont(boolean value)

  Sets the fRotateFont field value.

### isFRotateFont

    public boolean isFRotateFont()

  Returns:
    the fRotateFont field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD